(function (appiceFloat, $, undefined){
  // generate Float between 0- 1 like mathdot Ran-dom
 appiceFloat.generateRandomFloat = function (){
    const array = new Uint16Array(10);
    self.crypto.getRandomValues(array);

          for (const num of array) {
        var length = num.toString().length
          
        if(length==1){
          return num/10;
        }
        if(length==2){
          return num/100;
        }
        if(length==3){
          return num/1000;
        }
        if(length==4){
          return num/10000;
        }
        if(length==5){
          return num/100000;
        }
          };
   return 
} 
     
  }(window.appiceFloat = window.appiceFloat || {}, jQuery))
 
